# Package grails.validation

- Interface Summary
  Interface | Description
  --- | ---
  ASTValidateableHelper |
  Constrained | A interface for something that is constrained by various criteria
  ConstraintsEvaluator | Evaluates and returns constraints.

- Trait Summary
  Trait | Description
  --- | ---
  Validateable | A trait that can be applied to make any object Validateable

- Class Summary
  Class | Description
  --- | ---
  ConstrainedDelegate | Bridge from the old API to the new
  DefaultASTValidateableHelper |
  DeferredBindingActions | Binding operations that are deferred until either validate() or save() are called.
  ValidationErrors | Models validation errors in a Grails application.

- Exception Summary
  Exception | Description
  --- | ---
  ValidationException | Thrown when validation fails during a .save().